summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLuke Smith <luke@lukesmith.xyz>2020-02-29 05:53:54 -0500
committerLuke Smith <luke@lukesmith.xyz>2020-02-29 05:53:54 -0500
commit217297d91f5e748b54f46428bda51a41d1a4aa22 (patch)
tree5fa3af51d242cef9670b39e34c8bf9c38b08e50d
parent63453947814838680f76f593d20d0e032c821f3e (diff)
downloadeibhear-217297d91f5e748b54f46428bda51a41d1a4aa22.tar.gz
eibhear-217297d91f5e748b54f46428bda51a41d1a4aa22.tar.zst
eibhear-217297d91f5e748b54f46428bda51a41d1a4aa22.zip
weather script cleanup
-rwxr-xr-x.local/bin/statusbar/weather6
1 files changed, 2 insertions, 4 deletions
diff --git a/.local/bin/statusbar/weather b/.local/bin/statusbar/weather
index 4a11673..dc33cb9 100755
--- a/.local/bin/statusbar/weather
+++ b/.local/bin/statusbar/weather
@@ -1,12 +1,10 @@
#!/bin/sh
-location="$1"; [ -z "$location" ] || { location="$location+" && rm -f "$HOME/.local/share/weatherreport" ;}
-
getforecast() { ping -q -c 1 1.1.1.1 >/dev/null || exit 1
-curl -s "wttr.in/$location" > "$HOME/.local/share/weatherreport" || exit 1 ;}
+curl -sf "wttr.in/$LOCATION" > "$HOME/.local/share/weatherreport" || exit 1 ;}
showweather() { printf "%s" "$(sed '16q;d' "$HOME/.local/share/weatherreport" | grep -wo "[0-9]*%" | sort -n | sed -e '$!d' | sed -e "s/^/☔ /g" | tr -d '\n')"
-sed '13q;d' "$HOME/.local/share/weatherreport" | grep -o "m\\(-\\)*[0-9]\\+" | sort -n -t 'm' -k 2n | sed -e 1b -e '$!d' | tr '\n|m' ' ' | awk '{print " ❄️",$1 "°","🌞",$2 "°"}' ;}
+sed '13q;d' "$HOME/.local/share/weatherreport" | grep -o "m\\(-+\\)*[0-9]\\+" | sort -n -t 'm' -k 2n | sed -e 1b -e '$!d' | tr '\n|m' ' ' | awk '{print " ❄️",$1 "°","🌞",$2 "°"}' ;}
case $BLOCK_BUTTON in
1) $TERMINAL -e less -S "$HOME/.local/share/weatherreport" ;;